Subject: Re: linux-next: Tree for Jul 10 (arch/s390/kernel/machine_kexec_file.c)

From: Eric DeVolder <[email-masked]>
Date: Mon, 10 Jul 2023 16:27:54 -0500

On 7/10/23 15:23, Eric DeVolder wrote:
> 
> 
> On 7/10/23 15:11, Randy Dunlap wrote:
>>
>>
>> On 7/9/23 18:38, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> Changes since 20230707:
>>>
>>
>> on s390:
>>
>> ../arch/s390/kernel/machine_kexec_file.c: In function 's390_verify_sig':
>> ../arch/s390/kernel/machine_kexec_file.c:69:15: error: implicit declaration of function 
>> 'verify_pkcs7_signature' [-Werror=implicit-function-declaration]
>>     69 |         ret = verify_pkcs7_signature(kernel, kernel_len,
>>        |               ^~~~~~~~~~~~~~~~~~~~~~
>> cc1: some warnings being treated as errors
>>
>>
>> Full randconfig file is attached.
>>
> 
> Randy,
> Thanks for this. This appears to be randconfig testing against linux-next.
> As of right now, linux-next does not contain the v5 that I posted friday.
> The v5 posted friday was picked up by Andrew and over the weekend no fails
> discovered, and the series currently sits in mm-everything branch. So hopefully
> it will appear soon in linux-next!
> 
> Let me know if I misunderstand the situation.
> Thanks!
> eric

Well the root cause is a missing SYSTEM_DATA_VERIFICATION. This was discussed
through MODULE_SIG_FORMAT thread. I don't think v5 changed anything with
respect to this issue, so it will likely reveal itself again.

Since it was agreed to drop MODULE_SIG_FORMAT, and my attempt to select
SYSTEM_DATA_VERIFICATION results in same circular dependency as with
MODULE_SIG_FORMAT, I'm unsure how to proceed.

The arch/s390/Kconfig S390 option has a 'select KEXEC' (but not KEXEC_FILE),
maybe we consider adding a 'select SYSTEM_DATA_VERIFICATION' as well?

Thanks,
eric